Bug 24434 - rpm --excludepath not working as expected
Summary: rpm --excludepath not working as expected
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-19 23:16 UTC by Need Real Name
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-11 22:46:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-01-19 23:16:48 UTC
Using rpm-4.0.1-0.6x, trying to install anonftp while omitting
/home/ftp/pub:

[root@nermal RPMS]# rpm --excludepath /home/ftp/pub -ivh
anonftp-3.0-3.i386.rpm   Preparing...               
########################################### [100%]
   1:anonftp                ###########################################
[100%]
[root@nermal RPMS]# ls -l /home/ftp  
total 16
d--x--x--x    2 root     root         4096 Jan 19 17:23 bin
d--x--x--x    2 root     root         4096 Jan 19 17:23 etc
drwxr-xr-x    2 root     root         4096 Jan 19 17:23 lib
drwxr-sr-x    2 root     ftp          4096 Feb  4  2000 pub
[root@nermal RPMS]# rpm -e anonftp
[root@nermal RPMS]# rpm --excludepath /home/ftp/pub/ -ivh
anonftp-3.0-3.i386.rpm 
Preparing...                ###########################################
[100%]
   1:anonftp                ###########################################
[100%]
[root@nermal RPMS]# ls -l /home/ftp
total 16
d--x--x--x    2 root     root         4096 Jan 19 17:23 bin
d--x--x--x    2 root     root         4096 Jan 19 17:23 etc
drwxr-xr-x    2 root     root         4096 Jan 19 17:23 lib
drwxr-sr-x    2 root     ftp          4096 Feb  4  2000 pub

Comment 1 Alexander Kourakos 2001-02-11 22:45:58 UTC
I'm having problems with that flag too..I did the following:



    rpm -Fvh --excludepath /usr/share/locale foofoo.rpm



Then I did



   ls -d `rpm -ql foofoo`



And half the files in the package were missing, seemingly at random!! 

Very weird.

Comment 2 Jeff Johnson 2001-04-03 20:51:53 UTC
Fixed in rpm CVS, will be in rpm-4.0.3-0.4 and later.


Note You need to log in before you can comment on or make changes to this bug.